Installation

ALPH

New member
Hello,

I installed localy on a PC. And Hurrah, it works !!!

In the post-installation messages, I understand that you receive a message when an installation is successful. It seems not the case. The two captures are, one with OVH, non working, the other local, working.

Tee config_custom.php params :
// add your config parameters here
$parameter_example = 'value';
$serial_number = 'xxxxxxxx';
$dbms_type = 'mysql';
$host = 'localhost';
$db_name = 'livresrecettes';
$user = 'root';
$pass = '';
$secret_key = 'GxxxxxxxxxxxxxxxTC5555';
$dadabik_session_name = 'RHv1xxxxxxxxxxxxxxxx6';
$timezone = 'Europe/Rome';

I had a look on install2.php. The most part is compiled code. Maybe the source of our troubles?

Is it certain that the compiled code has the same behavior as the interpreted code, not from a functional point of view, but from the execution point of view? This will correspond to the type of errors.

Would it be possible to have the code not compiled, with a confidentiality commitment, or compiled with other parameters ? Possibly with diagnostics? Or any other possibility ? This would allow a diagnosis

Many Thanks

A. Philippe
 
Last edited:

eugenio

Administrator
Staff member
Hello,
no it is not possible.

If it works locally and, using the exact same files (except from the config_custom different values) it doesn't work online (third installation page is not loaded), I would say the most probable reason is some security rules applied by the hosting provider.
I would ask your hosting provider if they can interpret the error and I would also try if the use of https changes something (you said you tried but it seems the domain doesn't have a certificate so it can't work).

Best,
 

ALPH

New member
Hello,

Your compiled code is not 64 bits compatible.

By changing the PHP configuration, from stable64, PHP 7.4 to stable, PHP 7.3 (7.4 is not available in stable) install2.php is working. see explanation :


These settings affect all my sites, that is to say they all work with outdated versions that are not updated. >> An update of dadabik would be welcome.

I had made two tickets, one to ask if compiled code could be executed, another to ask the meaning of the error messages. The answer to both: our server is working properly.

Salutations

A. Philippe
 

Attachments

  • dadaOK.JPG
    dadaOK.JPG
    82.5 KB · Views: 3
  • stable working working.JPG
    stable working working.JPG
    49 KB · Views: 3
  • stable64 was notworking.JPG
    stable64 was notworking.JPG
    50.9 KB · Views: 3
Last edited:

ALPH

New member
I don’t see the meaning of your question.

"Environnement d'exécution" means "execution environment". This parameter concern the version of PHP and it's environment. I don't know if that include IonCube. The version of IonCube is 10.4. I don't know if it's 32 or 64 bits.

I know that IonCube is not included with PHP 8 and PHP 8.1, I ask OVH for that information. On my local server I have to install IonCube. The prcocessus is driven by a script and it will install the correct version.

I have the same power of change against OVH, or any other hosting provider, as against one of the big software suppliers. The answer will be : our server is working properly.

Do the terms "32-bits or 64-bits" for the code in install2.php mean anything to you? Could that be changed ?

In the attached file you could also see that SSL is available

Thanks
 

Attachments

  • Version PHP.JPG
    Version PHP.JPG
    16.7 KB · Views: 2
Last edited:

eugenio

Administrator
Staff member
I don’t see the meaning of your question.

You said:

Your compiled code is not 64 bits compatible.

which is not true, it can run on 64bits systems.

Ioncube provides a version of the loader for 32bits and a different one for 64bits and of course you need the 64bits version to run PHP files in a 64bits environment.

Since you said it works in the 32bits environment and not in the 64bits environment the first thing I would check if I were you is if you (or they) installed the right loader.

Can you now see the meaning of the question?
 

ALPH

New member
Now it’s clear. For me this should be the case, 32 and 64 bits, for a provider the size of OVH, this seems so obvious to me.

I ask by OVH

PS : By OVH IonCube is not installed for PHP 8, 8.1
 

ALPH

New member
Hello,

I could install dadabik on my new hosting service. It works, at least install2.php runs. I haven’t finished the installation process. I have to re-install my Wordpress site before

>> I am waiting for the answer to the two questions about installation in Wordpress.

You could close this ticket.

Many thanks
 

Attachments

  • dada_OK.JPG
    dada_OK.JPG
    72.5 KB · Views: 2
Top